define bs_sysctl (
  $ensure   = undef,
  $value    = undef,
  $target   = '/etc/sysctl.conf',
) {
  include bs_sysctl::sync

  validate_re($ensure,'^(present|absent)$',"In Module:[bs_sysctl], You must provide 'present' or 'absent' values for ensure parameter!")
  validate_absolute_path($target)

  ini_setting { "${target}-${title}":
      ensure  => $ensure,
      path    => $target,
      section => '',
      setting => $title,
      value   => $value,
      notify  => Exec['sysctl-sync'],
  }
}
